Security Lab

PHP-инклюдинг в Phgstats

Дата публикации:13.01.2006
Всего просмотров:2977
Опасность:
Высокая
Наличие исправления: Да
Количество уязвимостей:1
CVE ID: Нет данных
Вектор эксплуатации: Удаленная
Воздействие: Компрометация системы
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: Phgstats 0.x
Уязвимые версии: Phgstats версии до 0.5.1

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "phgdir" сценария "phgstats.inc.php". Удаленный пользователь может с помощью специально сформированного URL выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для успешной эксплуатации уязвимости опция "register_globals" должна быть включена.

URL производителя: woah-projekt.de

Решение: Установите последнюю версию с сайта производителя.